#define SDGMHS_GUI_VERSION 0x103
#include <unistd.h>
#include <qpe/qpeapplication.h>
#include <sys/types.h>
#include <fcntl.h>
#include <stdio.h>
#include <stdlib.h>
#include <sys/ioctl.h>
#include "splash.h"
#include "subclass.h"

#include <qlabel.h>
#include <qprogressbar.h>

static int timer_id;

fbvncserverSplash::fbvncserverSplash(QWidget *parent, const char *name, bool modal, WFlags fl)
    : fbvncserverSplashSuper(parent, name, modal, fl)
{
    QPixmap qi("/home/root/Applications/fbvncserver/sdglogo.png", "PNG");
    QSizePolicy qsp(QSizePolicy::Fixed, QSizePolicy::Fixed);
    SDG_Pixmap->setSizePolicy(qsp);
    SDG_Pixmap->setPixmap(qi);
    timer_id  = startTimer(400);
}
fbvncserverSplash::~fbvncserverSplash() /* {{{ */
{
} /* }}} */

void fbvncserverSplash::accept() {
    QDialog::accept();
    QDialog::close(TRUE);
}

void fbvncserverSplash::reject() {
    QDialog::reject();
    QDialog::close(TRUE);
}

static int count;

void fbvncserverSplash::timerEvent(QTimerEvent *)
{
    if(count == 5) {
        killTimer(timer_id);
        accept();
    }
    count++;
    ProgressBar1->setProgress(count * 20);
}


// vim600: set foldmethod=marker :
